Developer
    Utility Bill Pay API
    • Account
    • Verification API
    • Recharge API
    • PAYOUT API
    • Operator Lookup API
    • Mobile Tariff Plans
    • Utility Bill Pay API
    • Gift Card/ Brand Voucher API
    • webhook/callback
    • Recharge Validation API
    • Flight Booking API
    • Bus Booking API
    • Credit Card Bill API
    • CREDIT CARD TO BANK API
    • Virtual Account
    • UPI COLLECTION
    • UPI INTENT LINK
    • Traffic E-Challan
    • Digital Gold API
    • Credit Score | CIBIL Score API
    • Get Category
      GET
    • Biller Lists
      GET
    • Biller Fetch
      POST
    • Biller Payment
      POST

      Biller Fetch

      POST
      https://api.wepego.com/utility/bill/fetchBill
      PARAMDefaultMandatory (M) , Optional (O)
      codeBiller code from Biller ListsM
      agent_idUnique Random ID 5-28 Digit from PartnerM
      param_primaryfrom biller lists api you will get fields array- isprimary true and secuence 1 it will be calculated as param_primary, rest will be optional1,optional2 as like thisM
      optional1optional1 will be secuence 2 or 1 which is not primary trueO
      optional2secuence 3O
      optional3secuence 4O
      optional4secuence 5O
      optional5secuence 6O
      {
        "code": "ICT",
        "agent_id": "ZLP0000000394430301",
        "param_primary": "TN30**69*1",
        "optional1": "",
        "optional2": "",
        "optional3": "",
        "optional4": ""
      }

      Request

      Header Params

      Body Params application/json

      Examples

      Responses

      🟢200
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.wepego.com/utility/bill/fetchBill' \
      --header 'Token: ZKEY01fbb15e8098dd8970e5c66d2' \
      --header 'checkSum: af09af6eb7ae3f99f63659b2a14fba30bf743017549284e5dcb955792ed4d4b6' \
      --header 'Content-Type: application/json' \
      --data '{
        "code": "ICT",
        "agent_id": "ZLP0000000394430301",
        "param_primary": "TN30AM6971",
        "optional1": "9432839941",
        "optional2": "9432839941",
        "optional3": "",
        "optional4": ""
      }'
      Response Response Example
      {
          "billAmount": "500",
          "fetchdata": [
              {
                  "label": "Name",
                  "value": "SURESH  MURUGESAN"
              },
              {
                  "label": "Bill Number",
                  "value": "1729795251780"
              },
              {
                  "label": "Fast Tag Balance",
                  "value": "237.88"
              },
              {
                  "label": "Vehicle Model",
                  "value": "Swift Diesel 'Vdi'"
              },
              {
                  "label": "Minimum Amount for Top-up",
                  "value": "500.0"
              },
              {
                  "label": "Tag Status",
                  "value": "Active"
              },
              {
                  "label": "Maximum Permissible Recharge Amount",
                  "value": "1000.0"
              }
          ],
          "status": "success",
          "result": 0
      }
      Modified at 2026-08-29 13:16:25
      Previous
      Biller Lists
      Next
      Biller Payment
      Built with